// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/WindTurbineGenerator.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace WindTurbine {

  /// <summary>Holder for reflection information generated from telemetry/WindTurbineGenerator.proto</summary>
  public static partial class WindTurbineGeneratorReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/WindTurbineGenerator.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WindTurbineGeneratorReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiR0ZWxlbWV0cnkvV2luZFR1cmJpbmVHZW5lcmF0b3IucHJvdG8SDHdpbmRf",
            "dHVyYmluZRofZ29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byK8AwoU",
            "V2luZFR1cmJpbmVHZW5lcmF0b3ISGQoMYWN0aXZlX3Bvd2VyGAEgASgJSACI",
            "AQESGwoOcmVhY3RpdmVfcG93ZXIYAiABKAlIAYgBARIbCg5zdGF0b3JfY3Vy",
            "cmVudBgDIAEoCUgCiAEBEhsKDnN0YXRvcl92b2x0YWdlGAQgASgJSAOIAQES",
            "HwoSc3RhdG9yX3RlbXBlcmF0dXJlGAUgASgJSASIAQESGQoMc2lkZV9jdXJy",
            "ZW50GAYgASgJSAWIAQESGQoMc2lkZV92b2x0YWdlGAcgASgJSAaIAQESHQoQ",
            "c2lkZV90ZW1wZXJhdHVyZRgIIAEoCUgHiAEBEhYKCWZyZXF1ZW5jeRgJIAEo",
            "CUgIiAEBQg8KDV9hY3RpdmVfcG93ZXJCEQoPX3JlYWN0aXZlX3Bvd2VyQhEK",
            "D19zdGF0b3JfY3VycmVudEIRCg9fc3RhdG9yX3ZvbHRhZ2VCFQoTX3N0YXRv",
            "cl90ZW1wZXJhdHVyZUIPCg1fc2lkZV9jdXJyZW50Qg8KDV9zaWRlX3ZvbHRh",
            "Z2VCEwoRX3NpZGVfdGVtcGVyYXR1cmVCDAoKX2ZyZXF1ZW5jeUKAAQobY29t",
            "LmNvZGlibHkubW9kZWwudGVsZW1ldHJ5QhlXaW5kVHVyYmluZUdlbmVyYXRv",
            "clByb3RvygIbRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ54gInRG9tYWlu",
            "TW9kZWxcUHJvdG9cVGVsZW1ldHJ5XEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::WindTurbine.WindTurbineGenerator), global::WindTurbine.WindTurbineGenerator.Parser, new[]{ "ActivePower", "ReactivePower", "StatorCurrent", "StatorVoltage", "StatorTemperature", "SideCurrent", "SideVoltage", "SideTemperature", "Frequency" }, new[]{ "ActivePower", "ReactivePower", "StatorCurrent", "StatorVoltage", "StatorTemperature", "SideCurrent", "SideVoltage", "SideTemperature", "Frequency" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class WindTurbineGenerator : pb::IMessage<WindTurbineGenerator>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WindTurbineGenerator> _parser = new pb::MessageParser<WindTurbineGenerator>(() => new WindTurbineGenerator());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WindTurbineGenerator> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WindTurbine.WindTurbineGeneratorReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineGenerator() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineGenerator(WindTurbineGenerator other) : this() {
      activePower_ = other.activePower_;
      reactivePower_ = other.reactivePower_;
      statorCurrent_ = other.statorCurrent_;
      statorVoltage_ = other.statorVoltage_;
      statorTemperature_ = other.statorTemperature_;
      sideCurrent_ = other.sideCurrent_;
      sideVoltage_ = other.sideVoltage_;
      sideTemperature_ = other.sideTemperature_;
      frequency_ = other.frequency_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineGenerator Clone() {
      return new WindTurbineGenerator(this);
    }

    /// <summary>Field number for the "active_power" field.</summary>
    public const int ActivePowerFieldNumber = 1;
    private string activePower_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ActivePower {
      get { return activePower_ ?? ""; }
      set {
        activePower_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "active_power" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasActivePower {
      get { return activePower_ != null; }
    }
    /// <summary>Clears the value of the "active_power" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearActivePower() {
      activePower_ = null;
    }

    /// <summary>Field number for the "reactive_power" field.</summary>
    public const int ReactivePowerFieldNumber = 2;
    private string reactivePower_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ReactivePower {
      get { return reactivePower_ ?? ""; }
      set {
        reactivePower_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "reactive_power" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasReactivePower {
      get { return reactivePower_ != null; }
    }
    /// <summary>Clears the value of the "reactive_power" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearReactivePower() {
      reactivePower_ = null;
    }

    /// <summary>Field number for the "stator_current" field.</summary>
    public const int StatorCurrentFieldNumber = 3;
    private string statorCurrent_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string StatorCurrent {
      get { return statorCurrent_ ?? ""; }
      set {
        statorCurrent_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "stator_current" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStatorCurrent {
      get { return statorCurrent_ != null; }
    }
    /// <summary>Clears the value of the "stator_current" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStatorCurrent() {
      statorCurrent_ = null;
    }

    /// <summary>Field number for the "stator_voltage" field.</summary>
    public const int StatorVoltageFieldNumber = 4;
    private string statorVoltage_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string StatorVoltage {
      get { return statorVoltage_ ?? ""; }
      set {
        statorVoltage_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "stator_voltage" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStatorVoltage {
      get { return statorVoltage_ != null; }
    }
    /// <summary>Clears the value of the "stator_voltage" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStatorVoltage() {
      statorVoltage_ = null;
    }

    /// <summary>Field number for the "stator_temperature" field.</summary>
    public const int StatorTemperatureFieldNumber = 5;
    private string statorTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string StatorTemperature {
      get { return statorTemperature_ ?? ""; }
      set {
        statorTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "stator_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStatorTemperature {
      get { return statorTemperature_ != null; }
    }
    /// <summary>Clears the value of the "stator_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStatorTemperature() {
      statorTemperature_ = null;
    }

    /// <summary>Field number for the "side_current" field.</summary>
    public const int SideCurrentFieldNumber = 6;
    private string sideCurrent_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SideCurrent {
      get { return sideCurrent_ ?? ""; }
      set {
        sideCurrent_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "side_current" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSideCurrent {
      get { return sideCurrent_ != null; }
    }
    /// <summary>Clears the value of the "side_current" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSideCurrent() {
      sideCurrent_ = null;
    }

    /// <summary>Field number for the "side_voltage" field.</summary>
    public const int SideVoltageFieldNumber = 7;
    private string sideVoltage_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SideVoltage {
      get { return sideVoltage_ ?? ""; }
      set {
        sideVoltage_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "side_voltage" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSideVoltage {
      get { return sideVoltage_ != null; }
    }
    /// <summary>Clears the value of the "side_voltage" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSideVoltage() {
      sideVoltage_ = null;
    }

    /// <summary>Field number for the "side_temperature" field.</summary>
    public const int SideTemperatureFieldNumber = 8;
    private string sideTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SideTemperature {
      get { return sideTemperature_ ?? ""; }
      set {
        sideTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "side_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSideTemperature {
      get { return sideTemperature_ != null; }
    }
    /// <summary>Clears the value of the "side_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSideTemperature() {
      sideTemperature_ = null;
    }

    /// <summary>Field number for the "frequency" field.</summary>
    public const int FrequencyFieldNumber = 9;
    private string frequency_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Frequency {
      get { return frequency_ ?? ""; }
      set {
        frequency_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "frequency" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFrequency {
      get { return frequency_ != null; }
    }
    /// <summary>Clears the value of the "frequency" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFrequency() {
      frequency_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WindTurbineGenerator);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WindTurbineGenerator other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ActivePower != other.ActivePower) return false;
      if (ReactivePower != other.ReactivePower) return false;
      if (StatorCurrent != other.StatorCurrent) return false;
      if (StatorVoltage != other.StatorVoltage) return false;
      if (StatorTemperature != other.StatorTemperature) return false;
      if (SideCurrent != other.SideCurrent) return false;
      if (SideVoltage != other.SideVoltage) return false;
      if (SideTemperature != other.SideTemperature) return false;
      if (Frequency != other.Frequency) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasActivePower) hash ^= ActivePower.GetHashCode();
      if (HasReactivePower) hash ^= ReactivePower.GetHashCode();
      if (HasStatorCurrent) hash ^= StatorCurrent.GetHashCode();
      if (HasStatorVoltage) hash ^= StatorVoltage.GetHashCode();
      if (HasStatorTemperature) hash ^= StatorTemperature.GetHashCode();
      if (HasSideCurrent) hash ^= SideCurrent.GetHashCode();
      if (HasSideVoltage) hash ^= SideVoltage.GetHashCode();
      if (HasSideTemperature) hash ^= SideTemperature.GetHashCode();
      if (HasFrequency) hash ^= Frequency.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasActivePower) {
        output.WriteRawTag(10);
        output.WriteString(ActivePower);
      }
      if (HasReactivePower) {
        output.WriteRawTag(18);
        output.WriteString(ReactivePower);
      }
      if (HasStatorCurrent) {
        output.WriteRawTag(26);
        output.WriteString(StatorCurrent);
      }
      if (HasStatorVoltage) {
        output.WriteRawTag(34);
        output.WriteString(StatorVoltage);
      }
      if (HasStatorTemperature) {
        output.WriteRawTag(42);
        output.WriteString(StatorTemperature);
      }
      if (HasSideCurrent) {
        output.WriteRawTag(50);
        output.WriteString(SideCurrent);
      }
      if (HasSideVoltage) {
        output.WriteRawTag(58);
        output.WriteString(SideVoltage);
      }
      if (HasSideTemperature) {
        output.WriteRawTag(66);
        output.WriteString(SideTemperature);
      }
      if (HasFrequency) {
        output.WriteRawTag(74);
        output.WriteString(Frequency);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasActivePower) {
        output.WriteRawTag(10);
        output.WriteString(ActivePower);
      }
      if (HasReactivePower) {
        output.WriteRawTag(18);
        output.WriteString(ReactivePower);
      }
      if (HasStatorCurrent) {
        output.WriteRawTag(26);
        output.WriteString(StatorCurrent);
      }
      if (HasStatorVoltage) {
        output.WriteRawTag(34);
        output.WriteString(StatorVoltage);
      }
      if (HasStatorTemperature) {
        output.WriteRawTag(42);
        output.WriteString(StatorTemperature);
      }
      if (HasSideCurrent) {
        output.WriteRawTag(50);
        output.WriteString(SideCurrent);
      }
      if (HasSideVoltage) {
        output.WriteRawTag(58);
        output.WriteString(SideVoltage);
      }
      if (HasSideTemperature) {
        output.WriteRawTag(66);
        output.WriteString(SideTemperature);
      }
      if (HasFrequency) {
        output.WriteRawTag(74);
        output.WriteString(Frequency);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasActivePower) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ActivePower);
      }
      if (HasReactivePower) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ReactivePower);
      }
      if (HasStatorCurrent) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(StatorCurrent);
      }
      if (HasStatorVoltage) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(StatorVoltage);
      }
      if (HasStatorTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(StatorTemperature);
      }
      if (HasSideCurrent) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SideCurrent);
      }
      if (HasSideVoltage) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SideVoltage);
      }
      if (HasSideTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SideTemperature);
      }
      if (HasFrequency) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Frequency);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WindTurbineGenerator other) {
      if (other == null) {
        return;
      }
      if (other.HasActivePower) {
        ActivePower = other.ActivePower;
      }
      if (other.HasReactivePower) {
        ReactivePower = other.ReactivePower;
      }
      if (other.HasStatorCurrent) {
        StatorCurrent = other.StatorCurrent;
      }
      if (other.HasStatorVoltage) {
        StatorVoltage = other.StatorVoltage;
      }
      if (other.HasStatorTemperature) {
        StatorTemperature = other.StatorTemperature;
      }
      if (other.HasSideCurrent) {
        SideCurrent = other.SideCurrent;
      }
      if (other.HasSideVoltage) {
        SideVoltage = other.SideVoltage;
      }
      if (other.HasSideTemperature) {
        SideTemperature = other.SideTemperature;
      }
      if (other.HasFrequency) {
        Frequency = other.Frequency;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            ActivePower = input.ReadString();
            break;
          }
          case 18: {
            ReactivePower = input.ReadString();
            break;
          }
          case 26: {
            StatorCurrent = input.ReadString();
            break;
          }
          case 34: {
            StatorVoltage = input.ReadString();
            break;
          }
          case 42: {
            StatorTemperature = input.ReadString();
            break;
          }
          case 50: {
            SideCurrent = input.ReadString();
            break;
          }
          case 58: {
            SideVoltage = input.ReadString();
            break;
          }
          case 66: {
            SideTemperature = input.ReadString();
            break;
          }
          case 74: {
            Frequency = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            ActivePower = input.ReadString();
            break;
          }
          case 18: {
            ReactivePower = input.ReadString();
            break;
          }
          case 26: {
            StatorCurrent = input.ReadString();
            break;
          }
          case 34: {
            StatorVoltage = input.ReadString();
            break;
          }
          case 42: {
            StatorTemperature = input.ReadString();
            break;
          }
          case 50: {
            SideCurrent = input.ReadString();
            break;
          }
          case 58: {
            SideVoltage = input.ReadString();
            break;
          }
          case 66: {
            SideTemperature = input.ReadString();
            break;
          }
          case 74: {
            Frequency = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
